Pendant qq semaines j’ai pas compris pourquoi j’avais pas de systray.

C’était ennuyeux pour konversation ou KMail.

Eike Hein m’a donné la solution: libdbusmenu-qt5 et bien sur qt5.4 et sni-qt4 :)

Oui ça fait beaucoup mais sans cela ça marche pas et c’était très ennuyeux.

Voilà pour ceux qui cherchaient au cas ou.

Depuis quelques semaines j’ai fait la migration à Plasma5.

La seule application que je peux pas migrer encore est kmail (et applications associées).

Alors je pourrais utiliser les versions fournies par ma distro mais bon je suis dev donc j’ai besoin de la version ‘master’ :)

Donc c’est possible de faire cohabiter les 2 environnements dans le même répertoire, mais ça demande quelques changements.

Alors ma méthode:

-> builder tout kf5 sauf kdepim/akonadi (kdesrcbuild peut faire cela tout seul)

-> builder tout kde4 donc kdelibs/akonadi/kdepim* (bien sur pas le reste de kde4 qui servirait à rien et conflicterait).

Et ça marche bien :)

Alors comment je fais:

j’ai créé un répertoire:

“/kde5/source/kde5-4″ (le nom importe peu :) )

dedans j’ai mis un   kdesrc-buildrc ça a la configuration standard. (à adapter pour votre machine bien sur)

mais dans “extragear/utils/kdesrc-build/kf5-qt5-build-include”  j’ai commenté le build de  kdepim “#include kf5-kdepim-build-include”

une fois cela buildé on peut builder kde4

j’ai créé un sous répertoire “/kde5/source/kde5-4/kde4″

et là de même un kdesrc-buildrc-kde4 qui construit que ce qu’il faut

Et après un ptit bout de temps vous pouvez avoir un plasma5 et un kmail4

Et tout marche nickel:)

Une fois que vous avez cela pour mettre à jour il y a quelques petites choses à faire.

Le rebuild de plasma5 va pas marcher car il trouve les includes de kde4

Donc avant chaque build je fais:

“cd /opt/kde4-5″ (on répertoire ou se trouve le build)

mv include/*.h  /include/old/
mv kactivites/ kactivites-old
mv kio/ kio-old
mv plasma plasma-old

je build plasma5

et après je vais l’inverse:

mv include/old/*.h  /include/
mv kactivites-old/ kactivites
mv kio-old/ kio
mv plasma-old plasma

et je rebuild kde4

voilà et tout marche sur des roulettes :)

J’espère que ça aidera ceux qui veulent faire comme moi

Bon WE.

Le programme p7zip ne permet pas de décompresser un fichier 7zip encodé.

Il faut utiliser le programme “7z”

“7z x <filename>”

sinon pour les autres fichiers:

“p7zip -d <filename>” marche très bien.

J’ajoute une nouvelle catégorie “astuce” ou je donnerai des “astuces” (trop fort :) ).